> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available event targets to filter events

> Get available event targets to filter events



## OpenAPI

````yaml /api-reference/openapi.yaml get /organization/{organizationId}/targets
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /organization/{organizationId}/targets:
    get:
      tags:
        - Organization Event
      summary: Get available event targets to filter events
      description: Get available event targets to filter events
      operationId: getOrganizationEventTargets
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - in: query
          name: fromTimestamp
          description: >
            Display targets available since this timestamp.  

            A range of date can be specified by using `from-timestamp` with
            `to-timestamp`

            The format is a timestamp with nano precision
          schema:
            type: string
            nullable: true
        - in: query
          name: toTimestamp
          description: >
            Display targets triggered before this timestamp.  

            A range of date can be specified by using `to-timestamp` with
            `from-timestamp`

            The format is a timestamp with nano precision
          schema:
            type: string
            nullable: true
        - in: query
          name: eventType
          schema:
            $ref: '#/components/schemas/OrganizationEventType'
        - in: query
          name: targetType
          schema:
            $ref: '#/components/schemas/OrganizationEventTargetType'
        - in: query
          name: triggeredBy
          description: >-
            Information about the owner of the event (user name / apitoken /
            automatic action)
          schema:
            type: string
        - in: query
          name: origin
          schema:
            $ref: '#/components/schemas/OrganizationEventOrigin'
        - in: query
          name: projectId
          description: Mandatory when requesting an environment or a service
          schema:
            type: string
            format: uuid
        - in: query
          name: environmentId
          description: Mandatory when requesting a service
          schema:
            type: string
            format: uuid
        - in: query
          name: targetLevelToFetch
          description: >-
            Used only to retrieve projects or environments linked to service
            typed events
          schema:
            $ref: '#/components/schemas/OrganizationEventTargetLevel'
      responses:
        '200':
          description: Get organization event targets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationEventTargetResponseList'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    organizationId:
      name: organizationId
      in: path
      description: Organization ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    OrganizationEventType:
      type: string
      description: Type of the organization event
      enum:
        - CREATE
        - UPDATE
        - DELETE
        - ACCEPT
        - EXPORT
        - CLONE
        - DEPLOY_QUEUED
        - STOP_QUEUED
        - RESTART_QUEUED
        - DELETE_QUEUED
        - UNINSTALL_QUEUED
        - MAINTENANCE
        - DRY_RUN
        - TRIGGER_REDEPLOY
        - TRIGGER_CANCEL
        - FORCE_RUN_QUEUED
        - FORCE_RUN_QUEUED_DEPLOY
        - FORCE_RUN_QUEUED_STOP
        - FORCE_RUN_QUEUED_DELETE
        - TRIGGER_DEPLOY
        - TRIGGER_STOP
        - TRIGGER_RESTART
        - TRIGGER_DELETE
        - TRIGGER_UNINSTALL
        - TRIGGER_DEPLOY_DRY_RUN
        - TRIGGER_TERRAFORM_FORCE_UNLOCK
        - TRIGGER_TERRAFORM_MIGRATE_STATE
        - TRIGGER_FORCE_RUN
        - TRIGGER_FORCE_RUN_DEPLOY
        - TRIGGER_FORCE_RUN_STOP
        - TRIGGER_FORCE_RUN_DELETE
        - DEPLOYED
        - STOPPED
        - DELETED
        - UNINSTALLED
        - RESTARTED
        - DEPLOYED_DRY_RUN
        - FORCE_RUN_SUCCEEDED
        - TERRAFORM_FORCE_UNLOCK_SUCCEEDED
        - TERRAFORM_MIGRATE_STATE_SUCCEEDED
        - DEPLOY_FAILED
        - STOP_FAILED
        - DELETE_FAILED
        - UNINSTALL_FAILED
        - RESTART_FAILED
        - DEPLOYED_DRY_RUN_FAILED
        - FORCE_RUN_FAILED
        - TERRAFORM_FORCE_UNLOCK_FAILED
        - TERRAFORM_MIGRATE_STATE_FAILED
        - SHELL
        - PORT_FORWARD
        - REMOTE_DEBUG
        - IMPORT
        - LOCK
        - UNLOCK
      example: CREATE
    OrganizationEventTargetType:
      type: string
      description: Type of the organization event
      enum:
        - APPLICATION
        - CLUSTER
        - CONTAINER
        - CONTAINER_REGISTRY
        - DATABASE
        - ENTERPRISE_CONNECTION
        - ENVIRONMENT
        - JOB
        - HELM
        - HELM_REPOSITORY
        - MEMBERS_AND_ROLES
        - ORGANIZATION
        - PROJECT
        - WEBHOOK
        - TERRAFORM
      example: APPLICATION
      title: ''
    OrganizationEventOrigin:
      type: string
      description: Origin of the organization event
      enum:
        - API
        - CLI
        - CONSOLE
        - GIT
        - QOVERY_INTERNAL
        - TERRAFORM_PROVIDER
      example: API
    OrganizationEventTargetLevel:
      type: string
      description: The target level to fetch
      enum:
        - PROJECT
        - ENVIRONMENT
    OrganizationEventTargetResponseList:
      type: object
      properties:
        targets:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              name:
                type: string
  responses:
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````